<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_support_vector_machine.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">melon::SupportVectorMachine&lt; T &gt; Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#ac6565c54b8f61f6ad7e03dab3f56d5b0">_calculate_prediction</a>(std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints)</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#aa2b45da4783283842e9cd42846753315">_data</a></td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#abf0be2b3dd923d3594af7d93eecc9ca8">_decision_function</a>(std::vector&lt; T &gt; kernelValues)=0</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#ae16e1a18a7c8a6237bba83c43f31ed29">_inputScaler</a></td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#aeeac5223941266357a7711260527808a">_kernel</a></td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a17ac3b399c0615c5e4033f532e8cc7c4">_modelLoaded</a></td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#a6f2560dacef790d4668cbc27bea19178">_outputScaler</a></td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a79a4a98914ebfc91398a20b9014726e1">_parserFactory</a></td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#ab783bd628a80774149c34f0e2b8f8f48">_set_constraints</a>(std::vector&lt; T &gt; &amp;constraints, std::vector&lt; T &gt; &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a7b1045b2b3c48d7e89042abbf042184e">_set_constraints</a>(std::vector&lt; T &gt; &amp;constraints, T &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#ad1a0be4db1d52bf32f1651142a422a22">_set_data_object</a>(std::shared_ptr&lt; const ModelData &gt; modelData) override</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#a4b02218e266feb6cced0584c6f965a96">_update_kernel</a>()</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#aa24acc1421812ac374878aa9f73007c8">calculate_prediction_full_space</a>(std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints)</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#af395a6dfdc70892d7ae11ddfda45936d">calculate_prediction_reduced_space</a>(std::vector&lt; T &gt; input)</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#a2deaf0cc2520318c8208f3d552d040cf">get_fullspace_variables</a>(size_t &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds)</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#a0b66a6ddb023bd946815e7d1b885b273">get_number_of_full_space_variables</a>()</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a9acb78ea183bc6bf583540efcef58a0b">load_model</a>(std::string modelName, MODEL_FILE_TYPE fileType)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#ae002de8e7c020adfcad49ce7e050066e">load_model</a>(std::string modelPath, std::string modelName, MODEL_FILE_TYPE fileType)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a37fb378f8eabbcfdb7db707dbfa04a26">load_model</a>(std::shared_ptr&lt; const ModelData &gt; modelData)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a0877da878cabba96d129b5e2540b9eca">MelonModel</a>(std::shared_ptr&lt; ModelParserFactory &gt; parserFactory)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#a1cf7bc508b3f3eb3e6aa2b43578ab867">SupportVectorMachine</a>()</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#a26c00f7ec0bfe43f85dc386ae4832916">SupportVectorMachine</a>(std::string modelName)</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#a401274575c100133a03e8cbf118153d6">SupportVectorMachine</a>(std::string modelPath, std::string modelName)</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html#afbf424b9a1b23030fd3bb259d0b67800">SupportVectorMachine</a>(std::shared_ptr&lt; const SvmData &gt; modelData)</td><td class="entry"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a1c7f4a28d7a34e48a93b9899a66204b0">~MelonModel</a>()=default</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
